Functions
Configuration functions
Peripheral Driver » LL Driver » HMAC » Functions

## Functions
__STATIC_INLINE void | ll_hmac_enable (hmac_regs_t *HMACx)
| Enable HMAC. More...
__STATIC_INLINE void | ll_hmac_disable (hmac_regs_t *HMACx)
| Disable HMAC. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled (hmac_regs_t *HMACx)
| Indicate whether the HMAC is enabled. More...
__STATIC_INLINE void | ll_hmac_enable_dma_start (hmac_regs_t *HMACx)
| Enable HMAC DMA mode. More...
__STATIC_INLINE void | ll_hmac_disable_dma_start (hmac_regs_t *HMACx)
| Disable HMAC DMA mode. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_dma_start (hmac_regs_t *HMACx)
| Indicate whether the HMAC DMA mode is enabled. More...
__STATIC_INLINE void | ll_hmac_enable_read_key (hmac_regs_t *HMACx)
| Enable fetch key through AHB/key port. More...
__STATIC_INLINE void | ll_hmac_enable_last_transfer (hmac_regs_t *HMACx)
| Enable last block transfer in MCU/DMA mode. More...
__STATIC_INLINE void | ll_hmac_enable_user_hash (hmac_regs_t *HMACx)
| Enable user HASH. More...
__STATIC_INLINE void | ll_hmac_disable_user_hash (hmac_regs_t *HMACx)
| Disable user HASH. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_user_hash (hmac_regs_t *HMACx)
| Indicate whether the user HASH is enabled. More...
__STATIC_INLINE void | ll_hmac_enable_little_endian (hmac_regs_t *HMACx)
| Enable HMAC in little endian. More...
__STATIC_INLINE void | ll_hmac_disable_little_endian (hmac_regs_t *HMACx)
| Disable HMAC in little endian. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_little_endian (hmac_regs_t *HMACx)
| Indicate whether the HMAC is in little endian. More...
__STATIC_INLINE void | ll_hmac_set_key_type (hmac_regs_t *HMACx, uint32_t type)
| Set ways to obtain HMAC key. More...
__STATIC_INLINE uint32_t | ll_hmac_get_key_type (hmac_regs_t *HMACx)
| Get ways to obtain HMAC key. More...
__STATIC_INLINE void | ll_hmac_enable_sha (hmac_regs_t *HMACx)
| Enable SHA mode. More...
__STATIC_INLINE void | ll_hmac_disable_sha (hmac_regs_t *HMACx)
| Disable SHA mode. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_sha (hmac_regs_t *HMACx)
| Indicate whether the SHA mode is enabled. More...
__STATIC_INLINE void | ll_hmac_enable_private (hmac_regs_t *HMACx)
| Enable private mode. More...
__STATIC_INLINE void | ll_hmac_disable_private (hmac_regs_t *HMACx)
| Disable private mode. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_private (hmac_regs_t *HMACx)
| Indicate whether the private mode is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_hmac_disable()

__STATIC_INLINE void ll_hmac_disable | ( | hmac_regs_t * | HMACx | ) |

Disable HMAC.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 214 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_dma_start()

__STATIC_INLINE void ll_hmac_disable_dma_start | ( | hmac_regs_t * | HMACx | ) |

Disable HMAC DMA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | START_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 271 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_little_endian()

__STATIC_INLINE void ll_hmac_disable_little_endian | ( | hmac_regs_t * | HMACx | ) |

Disable HMAC in little endian.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENDIAN | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 423 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_private()

__STATIC_INLINE void ll_hmac_disable_private | ( | hmac_regs_t * | HMACx | ) |

Disable private mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | PRIVATE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 582 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_sha()

__STATIC_INLINE void ll_hmac_disable_sha | ( | hmac_regs_t * | HMACx | ) |

Disable SHA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | CALCTYPE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 525 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_user_hash()

__STATIC_INLINE void ll_hmac_disable_user_hash | ( | hmac_regs_t * | HMACx | ) |

Disable user HASH.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENABLE_USERHASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 366 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable()

__STATIC_INLINE void ll_hmac_enable | ( | hmac_regs_t * | HMACx | ) |

Enable HMAC.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 195 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_dma_start()

__STATIC_INLINE void ll_hmac_enable_dma_start | ( | hmac_regs_t * | HMACx | ) |

Enable HMAC DMA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | START_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 252 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_last_transfer()

__STATIC_INLINE void ll_hmac_enable_last_transfer | ( | hmac_regs_t * | HMACx | ) |

Enable last block transfer in MCU/DMA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | LASTTRANSFER | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 328 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_little_endian()

__STATIC_INLINE void ll_hmac_enable_little_endian | ( | hmac_regs_t * | HMACx | ) |

Enable HMAC in little endian.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENDIAN | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 404 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_private()

__STATIC_INLINE void ll_hmac_enable_private | ( | hmac_regs_t * | HMACx | ) |

Enable private mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | PRIVATE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 563 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_read_key()

__STATIC_INLINE void ll_hmac_enable_read_key | ( | hmac_regs_t * | HMACx | ) |

Enable fetch key through AHB/key port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ENABLE_RKEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 309 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_sha()

__STATIC_INLINE void ll_hmac_enable_sha | ( | hmac_regs_t * | HMACx | ) |

Enable SHA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | CALCTYPE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 506 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_user_hash()

__STATIC_INLINE void ll_hmac_enable_user_hash | ( | hmac_regs_t * | HMACx | ) |

Enable user HASH.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENABLE_USERHASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 347 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_get_key_type()

__STATIC_INLINE uint32_t ll_hmac_get_key_type | ( | hmac_regs_t * | HMACx | ) |

Get ways to obtain HMAC key.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | KEYTYPE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  Returned | value can be one of the following values: LL_HMAC_KEYTYPE_MCU LL_HMAC_KEYTYPE_AHB LL_HMAC_KEYTYPE_KRAM

Definition at line 487 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled()

__STATIC_INLINE uint32_t ll_hmac_is_enabled | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the HMAC is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 233 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_dma_start()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_dma_start | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the HMAC DMA mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | START_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 290 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_little_endian()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_little_endian | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the HMAC is in little endian.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENDIAN | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 442 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_private()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_private | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the private mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | PRIVATE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 601 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_sha()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_sha | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the SHA mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | CALCTYPE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 544 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_user_hash()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_user_hash | ( | hmac_regs_t * | HMACx | ) |

Indicate whether the user HASH is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | ENABLE_USERHASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 385 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key_type()

__STATIC_INLINE void ll_hmac_set_key_type | ( | hmac_regs_t * | HMACx,
|  | uint32_t | type
| ) |  |

Set ways to obtain HMAC key.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CONFIG | KEYTYPE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  type | This parameter can be one of the following values: LL_HMAC_KEYTYPE_MCU LL_HMAC_KEYTYPE_AHB LL_HMAC_KEYTYPE_KRAM

Return values

  None |

Definition at line 465 of file gr55xx_ll_hmac.h.